Bug 885020 - The pulse-rt group doesn't exist by default, causing round-trips to the SSSD
The pulse-rt group doesn't exist by default, causing round-trips to the SSSD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 05:07 EST by Jakub Hrozek
Modified: 2014-11-05 15:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 08:17:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2012-12-07 05:07:03 EST
Description of problem:
According the man pulseaudio(1), "membership of the calling user in this group decides whether real-time and/or high-priority scheduling  is enabled.". 

Apparently, the group is requested via the Name Service Switch during playback and if other Name Service Switch modules such as sss for the SSSD are configured, the pulse-rt group is queried from them as well.

I don't think that correct, because this is causing unnecessary load on the remote LDAP servers and in some cases unnecessary reconnection attempts.

Is there a reason the group is not present at all on the system rather than being present but empty?

Version-Release number of selected component (if applicable):


How reproducible:
pulseaudio-2.1-4.fc18.x86_64

Steps to Reproduce:
1. play sounds
  
Actual results:
The requests for pulse-rt are bubbling all the way into the SSSD and then into the remote server query.

Expected results:
The pulse-rt group should be returned right away from libnss_files and only the membership in that group should determine the realtime playback.
Comment 1 Fedora End Of Life 2013-12-21 04:47:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Rex Dieter 2014-01-23 08:17:53 EST
Thanks, fix committed to rawhide,

%changelog
* Wed Jan 22 2014 Wim Taymans <wtaymans@redhat.com> - 4.0-12.gitf81e3
- Use the statically allocated UID and GID from /usr/share/doc/setup/uidgid (#1056656)
- The pulse-rt group doesn't exist (#885020)

Will likely get rolled into a f20 update sometime soon.
Comment 3 Orion Poplawski 2014-11-05 15:59:33 EST
Really fixed for pulse-rt in pulseaudio-5.0-22.20141019git4971d.fc22

Note You need to log in before you can comment on or make changes to this bug.